#include <bits/stdc++.h>
#define ubrzaj ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0)
#define MOD 1000000007

using namespace std;

int main()
{
    ubrzaj;

    int n;
    cin >> n;
    vector<int> x(n),y(n);
    for(int i=0; i<n; i++){
        cin >> x[i];
        cin >> y[i];
    }
    int maks1=x[0],maks2=y[0];
    for(int m=0; m<=n; m++){
    /*for(int i=0; i<m; i++){
        if(x[i]>maks1)maks1=x[i];
        if(y[i]>maks2)maks2=y[i];
    }*/
    long long res=0,ans=0;
    for(int i=0; i<m; i++){
            maks1=x[i];

    for(int k=0; k<m; k++){
            maks2=y[k];
        res=0;
        for(int j=0; j<m; j++){
        res+=(abs(maks1-x[j])*abs(maks2-y[j]));
        res%=MOD;
        }
    ans=max(ans,res);
    //cout << res << ":" << ans << endl;
    }
    }
    ans%=MOD;
    if(m>0)
    cout << ans << endl;
    }
    return 0;
}